import sys
from math import comb

input = sys.stdin.readline
output = sys.stdout.write

def calc(n, m, a):
    if n == 1:
        return comb(m, a)
    return comb(m, a) * comb(m-a, n-1)

def solve(n, m, a):
    result = [calc(i, m, a) for i in range(1, n+1)]
    output("%d\n" % len(result))
    output(" ".join(map(str, result)))
    output("\n")

n, m = map(int, input().split())
a = int(input().strip().split()[0])
solve(n, m, a)
